The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

help please.

Discussion in 'General Discussion' started by promak, Jul 28, 2004.

  1. promak

    promak Well-Known Member

    Joined:
    Oct 6, 2001
    Messages:
    248
    Likes Received:
    0
    Trophy Points:
    16
    Hi all,

    one of my customer need php4.2.3 in one of my cpanel server .

    and yesterday he ask me for install '--with-iconv' with 4.2.3

    but now cpanel have remove php4.2.3 just have 4.3.8 and 5.0 i see.

    i have try to get old config with 4.2.3(download compile) but gd error.

    make[3]: *** [gd.lo] Error 1
    make[3]: Leaving directory `/home/cpapachebuild/buildapache/php-4.2.3/ext/gd'
    make[2]: *** [all-recursive] Error 1
    make[2]: Leaving directory `/home/cpapachebuild/buildapache/php-4.2.3/ext/gd'
    make[1]: *** [all-recursive] Error 1
    make[1]: Leaving directory `/home/cpapachebuild/buildapache/php-4.2.3/ext'
    make: *** [all-recursive] Error 1

    this is gd-2.0.15 work fine with my php4.2.3 now(because i can't compile php yet)

    any idea can i update /scripts/easyapache ?
    or what can i get fix for this error.

    i can't rewirte customer php let them run in 4.3.8, becuase this is not my business , i just can do is install php4.2.3 for him.

    :confused: :confused: :confused:
    Thanks.
     
  2. promak

    promak Well-Known Member

    Joined:
    Oct 6, 2001
    Messages:
    248
    Likes Received:
    0
    Trophy Points:
    16
    with this

    ./configure --with-apxs=/usr/local/apache/bin/apxs --with-xml --enable-bcmath --enable-calendar --with-swf=/usr/local/flash --enable-ftp --with-gd=../gd-2.0.15 --with-jpeg-dir=/usr/local --with-png-dir=/usr --with-xpm-dir=/usr/X11R6 --with-gettext --with-imap --with-imap-ssl --with-kerberos --enable-mbstring --enable-mbstr-enc-trans --enable-mbregex --with-mcrypt --with-mysql=/usr --with-pear --enable-sockets --enable-track-vars --with-ttf --with-freetype-dir=/usr --enable-gd-native-ttf --enable-versioning --with-zlib --with-iconv=/usr/local
     
  3. promak

    promak Well-Known Member

    Joined:
    Oct 6, 2001
    Messages:
    248
    Likes Received:
    0
    Trophy Points:
    16
    ok , i try to ask him to rewrite it .

    how about 4.2.x? his program just work on 4.2.x can't work at 4.3.x

    Thanks
     
Loading...

Share This Page